﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UPWpfAgeev.Model
{
    public partial class Product
    {
        public double DiscountPercentage => (100 * (double)ProductDiscountCurrent) / (double)ProductCost;

        public bool BigDiscountPercentage => DiscountPercentage > (double)15 ? true : false;

        public bool HaveDiscount => ProductDiscountAmount != 0 ? true : false;

        public string ViewImage
        {
            get
            {
                if (ProductPhoto is null)
                {
                    return "/Res/picture.png";
                }
                else
                {
                    return "/Res/" + ProductPhoto;
                }
            }
        }

        public double ActualPrice => (double)ProductCost - (double)ProductDiscountAmount;


    }
}
