﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using UPWpfAgeev.Classes;
using UPWpfAgeev.DTOs;

namespace UPWpfAgeev.Windows
{
    /// <summary>
    /// Логика взаимодействия для Authorization.xaml
    /// </summary>
    public partial class wAuthorization : Window
    {
        DtoUser user = new DtoUser();

        public wAuthorization()
        {
            InitializeComponent();
            DataContext = user;
        }

        private void LogIn(object sender, RoutedEventArgs e)
        {
            //var userList = BaseConnection.MyDataBase.Users.ToList();

            if (user.Login == String.Empty || user.Password == String.Empty) 
            {
                MessageBox.Show($"Возможно следующие поля не заполнены: Логин: {user.Login} Пароль: {user.Password}");
            }
            else
            {
                var userFounded = BaseConnection.MyDataBase.Users.SingleOrDefault(x => x.UserLogin == user.Login);

                if (userFounded == null)
                {
                    MessageBox.Show("Учетная запись с таким логином не найдена");
                }
                else
                {
                    if (userFounded != null && userFounded.UserPassword == user.Password)
                    {
                        MessageBox.Show("Данные введены верно");
                        BaseConnection.Users = userFounded;
                        DialogResult = true;
                    }
                    else
                    {
                        MessageBox.Show("Пароль не верный");
                    }
                }                
            }

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }

      
    }
}
